/* (C) 2022 YiRing, Inc. */
package com.yiring.app.excel.location;

import com.github.liaochong.myexcel.core.annotation.ExcelColumn;
import com.yiring.app.domain.location.LocationTag;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author LJ-2204
 * @date 2022/4/14
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class LocationTagImportExcel implements Serializable {

    private static final long serialVersionUID = -8817732062049005201L;

    // 编号
    @ExcelColumn(index = 0)
    String code;

    // 标签型号
    @ExcelColumn(index = 1)
    String type;

    // 设备编码
    @ExcelColumn(index = 2)
    String imei;

    public LocationTag transform() {
        return LocationTag.builder().code(this.code).type(LocationTag.Type.valueOf(this.type)).imei(this.imei).build();
    }
}
