/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.visitor;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/21 14:04
 */
@ApiModel("VisitorInfo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class VisitorInfoParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 3419577080791245488L;

    @ApiModelProperty(value = "到访人姓名", example = "张三", required = true)
    @NotEmpty(message = "到访人姓名不能为空")
    String visitorName;

    @ApiModelProperty(value = "到访人电话", example = "17688888888", required = true)
    @NotEmpty(message = "到访人电话不能为空")
    String visitorMobile;

    @ApiModelProperty(value = "到访人身份证", example = "430441190001255417", required = true)
    @NotEmpty(message = "到访人身份证不能为空")
    String visitorCarNum;

    @ApiModelProperty(value = "是否特殊作业", example = "fasle", required = true)
    boolean taskType;
}
