/* (C) 2022 YiRing, Inc. */
package com.yiring.auth.param.post;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 职位分页入参
 * @author LJ-2204
 * @date 2022/4/13
 */

@ApiModel("PostFindParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PostFindParam implements Serializable {

    private static final long serialVersionUID = 1926710333813935577L;

    @ApiModelProperty(value = "名称", example = "Java")
    String name;

    @ApiModelProperty(value = "是否启用", example = "true")
    Boolean enable;

    @ApiModelProperty(value = "每页记录数", example = "10")
    Integer pageSize;

    @ApiModelProperty(value = "页码", example = "1")
    Integer pageNo;
}
